MD5SUM(1)

NAME
md5sum - Print or check the MD5 checksums

SYNOPSIS
md5sum [-c|--check] [-w|--warn] [--status] [--quiet] [--ignore-missing] [--strict] [--tag] [-t|--text] [-z|--zero] [-h|--help] [-V|--version] [file]

DESCRIPTION
Print or check the MD5 checksums

OPTIONS

-c, --check
    read checksums from the FILEs and check them

-w, --warn
    warn about improperly formatted checksum lines

--status
    don't output anything, status code shows success

--quiet
    don't print OK for each successfully verified file

--ignore-missing
    don't fail or report status for missing files

--strict
    exit non-zero for improperly formatted checksum lines

--tag
    create a BSD style checksum

-t, --text
    read in text mode (default)

-z, --zero
    end each output line with NUL, not newline, and disable file name escaping

-h, --help
    Print help

-V, --version
    Print version

EXTRA
## Examples Calculate the MD5 checksum for one or more files: md5sum {{path/to/file1 path/to/file2 ...}} Calculate and save the list of MD5 checksums to a file: md5sum {{path/to/file1 path/to/file2 ...}} > {{path/to/file.md5}} Calculate an MD5 checksum from `stdin`: {{command}} | md5sum Read a file of MD5 checksums and filenames and verify all files have matching checksums: md5sum {{[-c|--check]}} {{path/to/file.md5}} Only show a message for missing files or when verification fails: md5sum {{[-c|--check]}} --quiet {{path/to/file.md5}} Only show a message when verification fails, ignoring missing files: md5sum --ignore-missing {{[-c|--check]}} --quiet {{path/to/file.md5}} Check a known MD5 checksum of a file: echo {{known_md5_checksum_of_the_file}} {{path/to/file}} | md5sum {{[-c|--check]}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0